package com.ruoyi.tcZz.mapper;

import java.util.List;
import com.ruoyi.tcZz.domain.TcWlaqzcqy;
import org.apache.ibatis.annotations.Param;

/**
 * 网络安全支持单位Mapper接口
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
public interface TcWlaqzcqyMapper 
{
    /**
     * 查询网络安全支持单位
     * 
     * @param id 网络安全支持单位主键
     * @return 网络安全支持单位
     */
    public TcWlaqzcqy selectTcWlaqzcqyById(Long id);

    /**
     * 查询网络安全支持单位列表
     * 
     * @param tcWlaqzcqy 网络安全支持单位
     * @return 网络安全支持单位集合
     */
    public List<TcWlaqzcqy> selectTcWlaqzcqyList(TcWlaqzcqy tcWlaqzcqy);

    /**
     * 新增网络安全支持单位
     * 
     * @param tcWlaqzcqy 网络安全支持单位
     * @return 结果
     */
    public int insertTcWlaqzcqy(TcWlaqzcqy tcWlaqzcqy);

    /**
     * 修改网络安全支持单位
     * 
     * @param tcWlaqzcqy 网络安全支持单位
     * @return 结果
     */
    public int updateTcWlaqzcqy(TcWlaqzcqy tcWlaqzcqy);

    /**
     * 删除网络安全支持单位
     * 
     * @param id 网络安全支持单位主键
     * @return 结果
     */
    public int deleteTcWlaqzcqyById(Long id);

    /**
     * 批量删除网络安全支持单位
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTcWlaqzcqyByIds(Long[] ids);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(@Param("isStatus") Integer isStatus, @Param("ids") List<String> ids);
}
